using System;
					
public class Program
{
	public static void Main()
	{
		string[] t = Console.ReadLine().Split();
		int n = int.Parse(t[0]);
		int k = int.Parse(t[1]);
		int[] niz = new int[n];
		string[] l = Console.ReadLine().Split();
		for (int i = 0; i < n; i++)
		{
			niz[i] = int.Parse(l[i]);
		}
		int g = 0;
		int f = 0;
		while (g != 1)
		{
			if (k == niz[f])
			{
				g = 1;
			}
			else
			{
				f++;
			}
		}
		int tajbroj = 0;
		if (f == (n-1))
		{
			tajbroj = 0;
		}
		else
		{
			tajbroj = f+1;
		}
		Console.WriteLine(niz[tajbroj]);
	}
}